function T = resample(ts, newsize)
    if (size(ts,2) == newsize)
        T = ts;
        return;
    end;
    x = 1:1:size(ts,2);
    rate = (size(ts,2)-1) / (newsize-1);
    xi = 1:rate:size(ts,2);
    T = interp1(x, ts, xi, 'linear'); 
    