function [topKMM, topKindxPtr, topKnnDists] = findTopKDiscords(MM, indxPtr, nnDists, k)
    nnDists = -1*nnDists;
    [topKnnDists, inds] = sort(nnDists);
    maxIndex = min(size(MM,1), k);
    topKMM = MM(inds(1:maxIndex),:);
    topKindxPtr = indxPtr(inds(1:maxIndex),:);
    topKnnDists = -1*nnDists(inds(1:maxIndex),:);